#
# spec file for package quick-webapps
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname io.github.elevenhsoft.WebApps
Name:           quick-webapps
Version:        0.5.4a+2
Release:        1.2
Summary:        Web App Manager written with love and libcosmic
License:        GPL-3.0-only
URL:            https://github.com/cosmic-utils/web-apps
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xkbcommon)
Requires:       papirus-icon-theme

%description
Web App Manager for the COSMIC DE written with love and libcosmic.
Allows you to simply create web applications from given url working
inside separate window of your browser of choice.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/??x??/apps/%{appname}.png
%{_datadir}/icons/hicolor/???x???/apps/%{appname}.png
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 0.5.4a+2:
  * update screenshots in metainfo
  * use tag for screenshots
  * update screenshots
  * update README
  * feat: add more snap browsers
  * fix: remove nav-bar css rule to fix urlbar visibility
  * wip: add snap browsers support
  * update dependencies
* Thu Oct 17 2024 John Vandenberg <jayvdb@gmail.com>
- Update URL to https://github.com/cosmic-utils/web-apps
* Fri Oct 11 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.5.1+git20241009.953a096:
  * fixed url for translations
  * update dependencies
  * docs: Expand metainfo
  * fix: don't panic when not successfull fetch favicon
  * fix: validation check when creating new launcher
  * improv: read installed browsers from freedesktop entry
  * temporary disable dbus-config feature
  * fix: remove warn about icon when auto select icon
  * feat: sort icons with priority for favicons
  * improv: image_handle from url
  * fix: better handling icon moving and selection
  * removed unknown tag
  * feat: better support for zen
  * remove clippy allow hint
  * remove unnecessary argument
  * simplify move_icon function
  * fix: moving icon
  * reinitialize creator page after closing it
  * improv: reorganization update method
  * move Icon struct to common mod
  * reinitialize creator window when done
  * some code cleanup, reorganization and fixes
  * fix: validation before creating launcher
  - update upstream url
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.4.6+git20240803.6598d33:
  * remove dead code
  * update dependencies
- enable leap (thanks to vyvir)
* Thu Apr 18 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
